Skip to main content
`Ctrl`+`K`

# DMGetLabelName

Return the name of nth label

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelName(DM dm, PetscInt n, const char *name[])

Not Collective

## Input Parameters

- dm - The `DM` object

- n - the label number

## Output Parameter

- name - the label name

## Developer Note

Some of the functions that appropriate on labels using their number have the suffix ByNum, others do not.

## See Also

DM Basics, `DM`, `DMLabel`, `DMGetLabelByNum()`, `DMGetLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1.c
src/dm/label/tutorials/ex1f90.F90

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages